package com.template.services;

import com.template.model.pojo.SmartVisitor;
import com.template.model.pojo.SmartVisitor;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.VisitorPageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartVisitorService extends IService<SmartVisitor> {
    int insertSmartVisitor(SmartVisitor rns);

    int updateSmartVisitor(SmartVisitor rns);

    PageUtils<SmartVisitor> queryPageSmartVisitors(int currentPage, int pageCount, String name);

    int deleteSmartVisitorById(int id);

    SmartVisitor getSmartById(int id);

    boolean insertVisitorBatch(List<SmartVisitor> visitors);

    PageUtils<VisitorPageVo> smartVisitorPageByUserId(int currentPage, int pageCount, Integer userId, Integer statu, String createStartTime, String createEndTime, String keyWord, String visitorStartTime, String visitorEndTime);

    Integer queryVisitorCount(String cardNo, String startTime, String endTime);

    PageUtils<SmartVisitor> queryVisitorPageDatas(int currentPage, int pageCount, Integer type, List<Integer> studentIds, String isAdmin);
}
